Bug 1989980 - Worker machine object updated too many times [vsphere]
Summary: Worker machine object updated too many times [vsphere]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Compute
Version: 4.9
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.9.0
Assignee: Mike Fedosin
QA Contact: Milind Yadav
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-04 13:32 UTC by Mike Fedosin
Modified: 2021-10-18 17:45 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:45:01 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift machine-api-operator pull 897 0 None None None 2021-08-04 14:33:05 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:45:02 UTC

Description Mike Fedosin 2021-08-04 13:32:59 UTC
Description of problem:
"[sig-arch] events should not repeat pathologically" fails on CI: https://testgrid.k8s.io/redhat-openshift-ocp-release-4.9-informing#periodic-ci-openshift-release-master-nightly-4.9-e2e-vsphere-serial

This happens because vsphere machine controller always creates an event even if the machine hasn't been modified.

Related to https://bugzilla.redhat.com/show_bug.cgi?id=1988992

Comment 1 Michael McCune 2021-08-04 21:09:38 UTC
hey Mike, i wonder if this is related to https://bugzilla.redhat.com/show_bug.cgi?id=1975460 as well?

Comment 2 Mike Fedosin 2021-08-16 12:44:50 UTC
Yes, I think it's the same issue

Comment 4 Milind Yadav 2021-08-17 03:00:45 UTC
Validated on :
[miyadav@miyadav ~]$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.9.0-0.nightly-2021-08-16-154237   True        False         22m     Cluster version is 4.9.0-0.nightly-2021-08-16-154237
[miyadav@miyadav ~]$ 


When deleted machine , the update event was fired only when resourceVersion is modified 

[miyadav@miyadav ~]$ oc logs  machine-api-controllers-78f7577d6-rbp7m -c machine-controller | grep -i "Updated Machine miyadav-1708-fkdx9-worker-5p8hq"
I0817 02:18:09.071770       1 recorder.go:104] controller-runtime/manager/events "msg"="Normal"  "message"="Updated Machine miyadav-1708-fkdx9-worker-5p8hq" "object"={"kind":"Machine","namespace":"openshift-machine-api","name":"miyadav-1708-fkdx9-worker-5p8hq","uid":"7dedbf38-d8b0-4157-b5ec-d19ccad52dd7","apiVersion":"machine.openshift.io/v1beta1","resourceVersion":"11256"} "reason"="Update"
I0817 02:22:00.577300       1 recorder.go:104] controller-runtime/manager/events "msg"="Normal"  "message"="Updated Machine miyadav-1708-fkdx9-worker-5p8hq" "object"={"kind":"Machine","namespace":"openshift-machine-api","name":"miyadav-1708-fkdx9-worker-5p8hq","uid":"7dedbf38-d8b0-4157-b5ec-d19ccad52dd7","apiVersion":"machine.openshift.io/v1beta1","resourceVersion":"17102"} "reason"="Update"
I0817 02:22:32.335261       1 recorder.go:104] controller-runtime/manager/events "msg"="Normal"  "message"="Updated Machine miyadav-1708-fkdx9-worker-5p8hq" "object"={"kind":"Machine","namespace":"openshift-machine-api","name":"miyadav-1708-fkdx9-worker-5p8hq","uid":"7dedbf38-d8b0-4157-b5ec-d19ccad52dd7","apiVersion":"machine.openshift.io/v1beta1","resourceVersion":"17599"} "reason"="Update"
I0817 02:23:03.745376       1 recorder.go:104] controller-runtime/manager/events "msg"="Normal"  "message"="Updated Machine miyadav-1708-fkdx9-worker-5p8hq" "object"={"kind":"Machine","namespace":"openshift-machine-api","name":"miyadav-1708-fkdx9-worker-5p8hq","uid":"7dedbf38-d8b0-4157-b5ec-d19ccad52dd7","apiVersion":"machine.openshift.io/v1beta1","resourceVersion":"18227"} "reason"="Update"
I0817 02:31:57.687824       1 recorder.go:104] controller-runtime/manager/events "msg"="Normal"  "message"="Updated Machine miyadav-1708-fkdx9-worker-5p8hq" "object"={"kind":"Machine","namespace":"openshift-machine-api","name":"miyadav-1708-fkdx9-worker-5p8hq","uid":"7dedbf38-d8b0-4157-b5ec-d19ccad52dd7","apiVersion":"machine.openshift.io/v1beta1","resourceVersion":"25459"} "reason"="Update"


Additional info:
Move to verified based on above ..

Comment 7 errata-xmlrpc 2021-10-18 17:45:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.